<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUpgradeTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('upgrade', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('os',20)->nullable()->comment('客户端名称');
            $table->string('version',50)->nullable()->comment('版本号');
            $table->integer('version_code')->default(0)->comment('系统版本构建');
            $table->string('url')->nullable()->comment('下载地址');
            $table->string('title',100)->comment('标题');
            $table->string('content')->comment('说明');
            $table->tinyInteger('is_forced_update')->default(0)->comment('是否强制更新 1强制更新');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('upgrade');
    }
}
